Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pe.pc.legacy.cmpf
Class ClientWrapper

    java.lang.Object
      com.ibm.wps.pe.pc.legacy.cmpf.ClientWrapper

    public class ClientWrapper

extends java.lang.Object

Wrapper class around the `Client` interface which allows to return modified markup or capabilities.

Since:
  5.0

Constructor Summary
`ClientWrapper(Client client)` Creates a new wrapper object from a Client

Method Summary
`Client` | `getClient()` Returns the wrapped client.
`java.lang.String` | `getManufacturer()`
`java.lang.String` | `getMarkupName()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getModel()`
`java.lang.String` | `getUserAgent()`
`java.lang.String` | `getVersion()`
`boolean` | `isCapableOf(Capability capability)`
`boolean` | `isCapableOf(Capability[] capabilities)`
`void` | `setClient(Client client)` Sets the client to be wrapped

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientWrapper

    public ClientWrapper(Client client)

  Creates a new wrapper object from a Client

  Parameters:
    `client` - the client to be wrapped

Method Detail

### getClient

    public Client getClient()

  Returns the wrapped client.

  Returns:
    the wrapped client.

### setClient

    public void setClient(Client client)

  Sets the client to be wrapped

  Parameters:
    `client` - client to be wrapped

### getMarkupName

    public java.lang.String getMarkupName()

### getManufacturer

    public java.lang.String getManufacturer()

### getModel

    public java.lang.String getModel()

### getMimeType

    public java.lang.String getMimeType()

### getVersion

    public java.lang.String getVersion()

### getUserAgent

    public java.lang.String getUserAgent()

### isCapableOf

    public boolean isCapableOf(Capability[] capabilities)

### isCapableOf

    public boolean isCapableOf(Capability capability)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD